
/**
 * compile with gcc -o parse parse.c
 */

#include <stdio.h>

char* logic( char* token, char* was )
{
	char *r, *c;
	size_t s;
	if(( s = strspn( token, " " )) == strlen( token )) {
		/* all whitespace */
		return was;
	}

	r = &(token[s]);
	/* terminate on the first white space after segment of
	 * text
	 */
	if(( c = strchr( r, ' ' ))) {
		*c = 0;
	}
	/* save and return pointer past initial whitespace */
	strcpy( was, r );
	return r;
}

#define N 512
int main( int argc, char* argv[] )
{
	char line[N];
	char last[N], first[N], middle[N];
	char l[N], f[N], m[N];
	int i, j;
	char *c;

	l[0] = f[0] = m[0] = 0;

	while( !feof( stdin )) {
		fgets(line, N, stdin);

		if(( c = strtok( line, ",\n" ))) {
			strcpy( last, c );
		} else {
			continue;
		}
		if(( c = strtok( NULL, ",\n" ))) {
			strcpy( first, c );
		} else {
			continue;
		}
		if(( c = strtok( NULL, ",\n" ))) {
			strcpy( middle, c );
		} else {
			continue;
		}

		printf( "%s, %s, %s\n", logic( last, l ), logic( first, f ),
				logic( middle, m ));
	}
}

